#
# spec file for package perl-Sub-Name
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sub-Name
Version:        0.21
Release:        lp152.3.4
%define cpan_name Sub-Name
Summary:        (Re)name a sub
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Sub-Name/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  perl(Devel::CheckBin)
# MANUAL END

%description
This module has only one function, which is also exported by default:

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENCE README

%changelog
* Mon Oct  3 2016 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.21      2016-10-02 05:00:12Z
  - no change since 0.20
  0.20      2016-09-11 00:33:10Z (TRIAL RELEASE)
  - fix occasional segmentation fault on OpenBSD when malloc randomization
    causes nameptr to be at the beginning of the page (RT#117072, Alexander
    Bluhm)
* Fri Aug 19 2016 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.19      2016-08-18 18:52:33Z
  - fix checking of SvUTF8 flag
* Tue Aug 16 2016 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.18      2016-08-16 01:07:54Z
  - no changes since 0.17
  0.17      2016-06-27 22:45:27Z (TRIAL RELEASE)
  - fixed parsing error where the name contains a single colon but the last
    separator is :: (Leon Timmermans)
  0.16      2016-06-21 03:41:40Z (TRIAL RELEASE)
  - support binary and unicode symbol names (Leon Timmermans, Aristotle
    Pagaltzis, Peter Rabbitson, Reini Urban, PR#8)
* Mon Mar 21 2016 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.15      2016-03-15 22:17:38Z
  - fix uninitialized warning in test on perls < 5.8.6 (RT#104510)
  - repository moved to the github p5sagit organization (the primary is on
    shadowcat, mirrored to github)
* Fri Apr 24 2015 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.14      2015-04-24 03:26:54Z
  - remove mandatory dependencies for optional test
  - mark the test with B::C as TODO, as it seems to fail frequently and
    should not block normal installations
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Sub-Name/Changes
  0.13      2015-03-28 06:27:23Z
  - fix optional test of interaction with B::C that sometimes invalidly
    failed
* Fri Sep 19 2014 coolo@suse.com
- updated to 0.12
  - fix licence in LICENSE and pod
  0.11      2014-08-20 04:44:25Z (TRIAL RELEASE)
  - move variable declaration to fix warning under
  - Werror=declaration-after-statement, to allow compilation under MSVC
    (J.R.Mash, github #3)
  0.10      2014-08-16 00:46:35Z (TRIAL RELEASE)
  - converted distribution packaging to Dist::Zilla
  0.09      2014-08-09
  - Copy the contents of the %%DB::sub entry if it exists; fixes
    Devel::NYTProf's anon sub handling (RT#50524, ilmari)
  0.08      2014-08-04
  - Fix leak when setting a fully-qualified name (ilmari, github#1)
* Fri Jul 25 2014 coolo@suse.com
- updated to 0.07
  - skip optional test if B::C 1.48 is not installed (Reini Urban)
  0.06 -- 2014-07-10
  * Do not change the string arg in XS, use copy instead. Fixes perlcc -O3
    RT#96893 (Reini Urban)
  * add README make target
  * add more distribution metadata
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Fri Aug 19 2011 lars@linux-schulserver.de
- Fixed summary and description
* Sat Apr 30 2011 coolo@opensuse.org
- updated to 0.05
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Sep  8 2010 chris@computersalat.de
- update to 0.05
  * Stop using the padlist to refcount GVs. Instead use regular magic. This
    allows various modules, including B::Deparse, to safely peek into pads of
    (re)named subs (Closes RT#42725) (Goro Fuji).
  * Support perl >= 5.13.3 by using the new CvGV_set interface there
    (Closes RT#59558).
  * Stop using the deprecated PL_no_symref (Closes RT#57843).
* Mon Mar  8 2010 chris@computersalat.de
- cleanup spec
  o dep for perl-macros
  o Provides cpan_name
  o Makefile.PL
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 28 2009 chris@computersalat.de
- initial pkg 0.04
